jif.ast

## Interface AuthConstraintNode

- All Superinterfaces:
    java.lang.Cloneable, ConstraintNode<AuthConstraint>, polyglot.util.Copy<polyglot.ast.Node>, polyglot.ast.Node, polyglot.ast.NodeOps, java.io.Serializable
  All Known Implementing Classes:
    AuthConstraintNode_c

      public interface AuthConstraintNode
      extends ConstraintNode<AuthConstraint>

  An authority constraint node. It represents an authority constraint of a method or a class.

  Grammar: `authority(principal_list)`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface polyglot.util.Copy

      `polyglot.util.Copy.Util`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<PrincipalNode>` | `principals()` Gets the list of principal who grants their authorities.
    `AuthConstraintNode` | `principals(java.util.List<PrincipalNode> principals)` Returns a copy of this node with the principal list updated.

    - ### Methods inherited from interface jif.ast.ConstraintNode

      `constraints, constraints`

    - ### Methods inherited from interface polyglot.ast.Node

      `del, del, dump, error, error, ext, ext, ext, ext, isDisambiguated, isTypeChecked, position, position, visit, visitEdge`

    - ### Methods inherited from interface polyglot.ast.NodeOps

      `addDecls, buildTypes, buildTypesEnter, checkConstants, childExpectedType, copy, copy, disambiguate, disambiguateEnter, disambiguateOverride, dump, dump, dump, dump, enterChildScope, enterScope, exceptionCheck, exceptionCheckEnter, extRewrite, extRewriteEnter, extRewriteOverride, lang, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrint, throwTypes, translate, typeCheck, typeCheckEnter, typeCheckOverride, visitChild, visitChildren, visitList`

    - ### Methods inherited from interface polyglot.util.Copy

      `copy`

- - ### Method Detail

    - #### principals

          java.util.List<PrincipalNode> principals()

      Gets the list of principal who grants their authorities.

    - #### principals

          AuthConstraintNode principals(java.util.List<PrincipalNode> principals)

      Returns a copy of this node with the principal list updated.